# Mumble

Se hai bisogno di partecipare ad un’assemblea in teleconferenza con molte persone o se hai problemi di consumo di banda ti consigliamo di provare **Mumble**.

**Mumble** è un servizio di chat vocale (**solo audio**) molto efficiente, simile a Discord o Teamspeak, ma realizzato con software libero (FOSS).<br>Per **Mumble** esiste anche un web-client (una demo è qui: [MumbleWeb](https://voice.johni0702.de/?address=voice.johni0702.de&port=443/demo)).<br>Il web-client permette di utilizzare **Mumble** senza dover per forza installare un’applicazione.

Noi però consigliamo di installare le applicazioni (clients) specifiche sui dispositivi che intendi utilizzare, ce ne sono per ogni piattaforma PC e Mobile. In questo modo, una volta salvata la configurazione, non c’è bisogno di re-impostarla ogni volta.

**Mumble** richiede un minimo di configurazione per poter essere utilizzato al meglio (bastano veramente pochi minuti), ma è affidabile, efficiente in termini di consumo di banda (ne serve molto poca) ed ha una bassissima latenza, quindi la sbatta iniziale per configurarlo è ben ricompensata.

# Installazione su PC

I client **Mumble** sono disponibili per i principali OS per pc.

Consigliamo di usare un programma (client) adatto per utilizzare **Mumble**.<br>Volendo è disponibile anche una versione web che ne permette l’utilizzo senza dover installare niente. Se vuoi usare la versione web [salta alla guida](#web).

Prima di cominciare, assicurati di avere un paio di auricolari con il microfono (vanno bene anche gli auricolari che usi per il telefonino se hanno un microfono e se hai un ingresso compatibile sul tuo pc) o meglio, delle cuffiette con microfono. Anche se ti connetti da un pc portatile che ha il microfono incorporato, usa auricolari o cuffie con microfono perché altrimenti ti toccherà farti tutti i tuoi interventi con la faccia appiccicata al monitor per farti sentire, e non è il massimo, credimi.

### Installazione

I programmi da installare per i diversi OS sono qui:<br>
- [Windows](http://download.mumble.com/en/mumble-1.3.0.msi)
- [Linux](http://wiki.mumble.info/wiki/Installing_Mumble#Linux)
- [Mac OSX](http://download.mumble.com/en/mumble-1.3.0.dmg)

Per usare la versione su Mac OSX devi fare un po' di macelli ad abilitare l'applicazione nelle impostazioni. Se pazienti qualche giorno caricheremo la guida anche per gli amici di Steve Jobs.
> 
> Consigli utili per l'installazione di **Mumble** sono disponibili anche [qui](https://wiki.mumble.info/wiki/Mumbleguide/English) e [qui](https://www.mumble.com/mumble-server-support.php).

### Configurazione

Incominciamo il nostro breve viaggio per sistemare il tuo aggeggio a modino.

![pc](img/mumble/wizard-1.png){: .img }

Ora, segui le indicazioni del wizard per regolare i dispositivi (microfono e cuffie) affinché funzionino correttamente. Devi assicurarti di sentire bene in cuffia quello che dici al microfono, se non funziona prova le varie opzioni dei menu a tendina Input/Output a partire da **Device** e poi **System**.

![pc](img/mumble/wizard-2.png){: .img }

Fai quello che ti chiede! In particolare guarda nelle impostazioni audio del tuo pc che il microfono sia al massimo volume.

![pc](img/mumble/wizard-3.png){: .img }

**IMPORTANTE**: Devi selezionare l'opzione **push-to-talk** (premi per parlare) ed inserire i tasti che vuoi usare per parlare. Ti consigliamo **CTRL+SHIFT**. Se non sai di quali tasti stiamo parlando l'immagine sotto ti chiarirà le idee!
Devi premerli entrambi contemporaneamente, è semplice!

![pc](img/mumble/wizard-4.png){: .img }
![tastiera](img/mumble/tastiera.png){: .img }

Dalle immagini che seguono puoi riprendere le configurazioni di esempio consigliate.

![pc](img/mumble/wizard-5.png){: .img }
![pc](img/mumble/wizard-6.png){: .img }
![pc](img/mumble/wizard-7.png){: .img }

Ok, Ci siamo quasi! Accetta la creazione automatica del certificato.

![pc](img/mumble/wizard-8.png){: .img }

È arrivato il momento di collegarsi ad un server **Mumble**. Come vedi ci sono molti server sparsi per il mondo. Clicca su "Add New...".

![pc](img/mumble/pc-1.png){: .img }

Aggiungiamo il server che andremo ad usare, per esempio “farma.cisti.org”.

![pc](img/mumble/pc-2.png){: .img }

Collegati al server.

![pc](img/mumble/pc-3.png){: .img }

Probabilmente ti verrà chiesto di accettare il certificato. Stacce! Fidati.

![pc](img/mumble/pc-4.png){: .img }

Ora che sei entrato nel server devi ancora accedere al canale riservato all'assemblea alla quale devi partecipare, per esempio **_supporto**.
Scorri la lista dei canali fino a che non trovi quello giusto.

Ti basta fare **tasto destro del mouse** su **_supporto** e scegliere **join channel**.

![pc](img/mumble/pc-5.png){: .img }


### Utilizzo

Puoi usare la chat per prenotare un intervento o condividere link. Puoi usarla anche per scrivere commenti sull’intervento che stai ascoltando. La chat la leggono tutti.
Se vuoi inviare un messaggio dalla chat ad una persona specifica fai clic col tasto destro del mouse sul nome del destinatario e seleziona “invia messaggio”. Se invece lo vuoi inviare a tutti i presenti nel canale fai come prima ma sul nome del canale.

Per abilitare il push-to-talk, quindi per parlare, devi schiacciare (e tenere premuti) i pulsanti CTRL-SHIFT per tutta la durata del tuo intervento. Se non sai che pulsanti sono, guarda l'immagine qua sotto.

![tastiera](img/mumble/tastiera.png){: .img }

> Puoi personalizzare e migliorare il tuo utilizzo di mumble utilizzando il menu **configurazioni**.

> Accedendo alla voce **audio wizard** (o procedura guidata audio) potrai accedere ad una guida assistita per migliorare le configurazioni del suono in modo da adattarle al tuo microfono

> Invece in **impostazioni** puoi cambiare un sacco di parametri, magari scegliendo dei pulsanti per te più comodi, per attivare il push-to-talk.

## Interfaccia Web

L'interfaccia web è facile, ma non funziona bene come il programma per pc o smartphone, usala solo se le precedenti non hanno funzionato!

Utilizza una versione aggiornata del tuo browser preferito. Ti consigliamo firefox perché è basato su software libero. In alternativa (se proprio non hai firefox e non lo vuoi scaricare) puoi usare chrome.

Per usare **Mumble** da web ti basta visitare ad esempio [questo
link](https://farma.cisti.org/) o [questo](https://farma.cisti.org/?channelName=/_supporto) che ti connette direttamente al canale (è solo un esempio) **_supporto**.

Ti verrà chiesto di concedere i permessi al browser di usare il microfono e di inserire il tuo nome o nickname.

![web](img/mumble/web-1.png){: .img }

Come vedi sei già dentro il canale della radio, forse stai già sentendo qualcun parlare! O forse no perché ci sei solo tu :)

![web](img/mumble/web-2.png){: .img }

Per abilitare il push-to-talk, quindi per parlare, devi schiacciare (e tenere premuti) i pulsanti CTRL-SHIFT. Se non sai che pulsanti sono, guarda l'immagine qua sotto.

![tastiera](img/mumble/tastiera.png){: .img }


That's all!

